<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*creating panel for general*/
$biography_panels['biography-colors'] =
    array(
        'title'          => esc_html__( 'Colors', 'biography' ),
        'description'    => esc_html__( 'Customize colors of you awesome site', 'biography' ),
        'priority'       => 42,
    );

/*Default color*/
$biography_sections['colors'] =
    array(
        'priority'       => 40,
        'title'          => esc_html__( 'Basic Colors Options', 'biography' ),
        'panel'          => 'biography-colors',
    );

/*Biography colors*/
$biography_sections['biography-colors'] =
    array(
        'priority'       => 50,
        'title'          => esc_html__( 'Biography Colors Options', 'biography' ),
        'panel'          => 'biography-colors',
    );
/*Biography colors*/
$biography_sections['biography-colors-reset'] =
    array(
        'priority'       => 60,
        'title'          => esc_html__( 'Biography Colors Reset', 'biography' ),
        'panel'          => 'biography-colors',
    );
/*defaults values*/
$biography_customizer_defaults['biography-h1-h6-color'] = '#212121';
$biography_customizer_defaults['biography-link-color'] = '#212121';
$biography_customizer_defaults['breadcrumb-bg-color'] = '#dfb200';
$biography_customizer_defaults['biography-site-title-color'] = '#ffdb46';
$biography_customizer_defaults['biography-site-tagline-color'] = '#ffffff';
$biography_customizer_defaults['biography-menu-color'] = '#ffffff';
$biography_customizer_defaults['biography-footer-bg-color'] = '#636b6b';
$biography_customizer_defaults['biography-footer-text-color'] = '#ffffff';
$biography_customizer_defaults['biography-footer-link-color'] = '#cccccc';
$biography_customizer_defaults['biography-footer-link-hover-color'] = '#ffffff';
$biography_customizer_defaults['biography-primary-color'] = '#ffd52d';
$biography_customizer_defaults['biography-primary-hover-color'] = '#FFD52D';
$biography_customizer_defaults['biography-button-bg-color'] = '#ffd52d';
$biography_customizer_defaults['biography-button-text-color'] = '#352c00';
$biography_customizer_defaults['biography-home-color-message'] = sprintf( esc_html__( '%1$s Homepage/Frontpage Color Options %2$s', 'biography' ), '<h3>','</h3>' );
$biography_customizer_defaults['biography-home-service-section-bg'] = '#FFFFFF';
$biography_customizer_defaults['biography-home-review-section-bg'] = '#f7f8fa';
$biography_customizer_defaults['biography-home-history-section-bg'] = '#ffffff';
$biography_customizer_defaults['biography-home-portfolio-bg'] = '#FFFFFF';
$biography_customizer_defaults['biography-home-contact-bg'] = '#636b6b';

$biography_customizer_defaults['biography-color-reset-settings'] = '';


/**
 * Reset color settings to default
 * @param  $input
 *
 * @since biography 1.0
 */
if ( ! function_exists( 'biography_color_reset' ) ) :
    function biography_color_reset() {
        $biography_customizer_saved_values = biography_get_all_options();
        if ( $biography_customizer_saved_values['biography-color-reset-settings'] == 1 ) {

            global $biography_customizer_defaults;

            /*setting fields */
            $biography_customizer_saved_values['biography-h1-h6-color'] = $biography_customizer_defaults['biography-h1-h6-color'];
            $biography_customizer_saved_values['biography-link-color'] = $biography_customizer_defaults['biography-link-color'];
            $biography_customizer_saved_values['breadcrumb-bg-color'] = $biography_customizer_defaults['breadcrumb-bg-color'];
            $biography_customizer_saved_values['biography-site-title-color'] = $biography_customizer_defaults['biography-site-title-color'];
            $biography_customizer_saved_values['biography-site-tagline-color'] = $biography_customizer_defaults['biography-site-tagline-color'];
            $biography_customizer_saved_values['biography-menu-color'] = $biography_customizer_defaults['biography-menu-color'];
            $biography_customizer_saved_values['biography-footer-bg-color'] = $biography_customizer_defaults['biography-footer-bg-color'];
            $biography_customizer_saved_values['biography-footer-text-color'] = $biography_customizer_defaults['biography-footer-text-color'];
            $biography_customizer_saved_values['biography-footer-link-color'] = $biography_customizer_defaults['biography-footer-link-color'];
            $biography_customizer_saved_values['biography-footer-link-hover-color'] = $biography_customizer_defaults['biography-footer-link-hover-color'];
            $biography_customizer_saved_values['biography-primary-color'] = $biography_customizer_defaults['biography-primary-color'];
            $biography_customizer_saved_values['biography-primary-hover-color'] = $biography_customizer_defaults['biography-primary-hover-color'];
            $biography_customizer_saved_values['biography-button-bg-color'] = $biography_customizer_defaults['biography-button-bg-color'];
            $biography_customizer_saved_values['biography-button-text-color'] = $biography_customizer_defaults['biography-button-text-color'];
            $biography_customizer_saved_values['biography-home-service-section-bg'] = $biography_customizer_defaults['biography-home-service-section-bg'];
            $biography_customizer_saved_values['biography-home-review-section-bg'] = $biography_customizer_defaults['biography-home-review-section-bg'];
            $biography_customizer_saved_values['biography-home-history-section-bg'] = $biography_customizer_defaults['biography-home-history-section-bg'];
            $biography_customizer_saved_values['biography-home-portfolio-bg'] = $biography_customizer_defaults['biography-home-portfolio-bg'];
            $biography_customizer_saved_values['biography-home-contact-bg'] = $biography_customizer_defaults['biography-home-contact-bg'];

            $biography_customizer_saved_values['biography-color-reset-settings'] = '';

            /*resetting fields*/
            biography_reset_options( $biography_customizer_saved_values );
        }
        else {
            return '';
        }
    }
endif;
add_action('customize_save_after','biography_color_reset');

$biography_settings_controls['biography-site-title-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-site-title-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Site Title Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 11,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-site-tagline-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-site-tagline-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Site Tagline Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 15,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-menu-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-menu-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Menu Color', 'biography' ),
            'description'           =>  esc_html__( 'Primary menu text color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 18,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-primary-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-primary-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Primary Color', 'biography' ),
            'description'           =>  esc_html__( 'This color will come in several places of your site, please select color according to your site', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-primary-hover-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-primary-hover-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Primary Hover Color', 'biography' ),
            'description'           =>  esc_html__( 'This color will come in several places of your site while hovering, please select color according to your site', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 25,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-h1-h6-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-h1-h6-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Heading (H1-H6) Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 32,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-link-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-link-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Link Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 32,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-button-bg-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-button-bg-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Button Background Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 32,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-button-text-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-button-text-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Button Text Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 32,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-footer-bg-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-footer-bg-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Footer Background Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 80,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-footer-text-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-footer-text-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Footer Text Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 90,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-footer-link-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-footer-link-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Footer Link Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 100,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-footer-link-hover-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-footer-link-hover-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Footer Link Hover Color', 'biography' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 100,
            'active_callback'       => ''
        )
    );
/*Biography colors setting controls*/
$biography_settings_controls['breadcrumb-bg-color'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['breadcrumb-bg-color'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Breadcrumb Background Color', 'biography' ),
            'section'               => 'biography-colors',
            'type'                  => 'color',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-color-message'] =
    array(
        'control' => array(
            'description'           =>   $biography_customizer_defaults['biography-home-color-message'],
            'section'               => 'biography-colors',
            'type'                  => 'message',
            'priority'              => 50,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-service-section-bg'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-section-bg'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Service Section Background', 'biography' ),
            'section'               => 'biography-colors',
            'type'                  => 'color',
            'priority'              => 60,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-review-section-bg'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-review-section-bg'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Review Section Background', 'biography' ),
            'section'               => 'biography-colors',
            'type'                  => 'color',
            'priority'              => 70,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-history-section-bg'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-history-section-bg'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'History Section Background', 'biography' ),
            'section'               => 'biography-colors',
            'type'                  => 'color',
            'priority'              => 70,
            'active_callback'       => ''
        )
    );
/*
 * */

$biography_settings_controls['biography-home-portfolio-bg'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-bg'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Portfolio Background', 'biography' ),
            'section'               => 'biography-colors',
            'type'                  => 'color',
            'priority'              => 73,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-contact-bg'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-contact-bg'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Contact Background', 'biography' ),
            'section'               => 'biography-colors',
            'type'                  => 'color',
            'priority'              => 75,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-color-reset-settings'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-color-reset-settings'],
            'sanitize_callback'    => 'biography_sanitize_checkbox',
            'transport'            => 'postmessage',
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Reset', 'biography' ),
            'description'           =>  esc_html__( 'Caution: Reset all above color settings to default. Refresh the page after save to view the effects. ', 'biography' ),
            'section'               => 'biography-colors-reset',
            'type'                  => 'checkbox',
            'priority'              => 220,
            'active_callback'       => ''
        )
    );