<?php
if ( ! function_exists( 'biography_home_story' ) ) :
    /**
     * Story creation
     *
     * @since Biography 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function biography_home_story() {
        global $biography_customizer_all_values;
        $biography_home_origin_enable = $biography_customizer_all_values['biography-home-origin-enable'];
        $biography_home_original_story_page = $biography_customizer_all_values['biography-home-origin-page'];
        if( 1 != $biography_home_origin_enable && 0 == $biography_home_original_story_page){
            return;
        }
        $biography_home_origin_button_text = $biography_customizer_all_values['biography-home-origin-button-text'];
        $biography_home_origin_button_link = $biography_customizer_all_values['biography-home-origin-button-link'];

        $biography_home_original_story_page_details = get_post( $biography_home_original_story_page );
       ?>
        <section class="wrapper wrap-story wrap-highlight">
            <div class="container biography-animate slideInUp">
              <div class="block-title">
                  <h2><?php echo esc_html( $biography_home_original_story_page_details->post_title ); ?></h2>
                  <div class="title-divider"><span></span></div>
              </div>
              <div class="row">
                  <div class="content col-md-12">
                      <?php echo wp_kses_post( $biography_home_original_story_page_details->post_content );?>
                  </div>
              </div>
              <div class="btn-container">
                  <a href="<?php echo esc_url( $biography_home_origin_button_link ); ?>" class="button button-link">
                      <?php echo esc_html( $biography_home_origin_button_text ); ?>
                  </a>
              </div>
            </div>
        </section>

       <?php
    }
endif;
add_action( 'story', 'biography_home_story', 10  );
